package addbk.JAddressBookPSU;

import gui.run.RunTextArea;

import javax.swing.*;
import java.awt.*;

public class AddressNotesPanel extends JPanel {

    private RunTextArea t0 =
            new RunTextArea("1313 Mocking Bird Lane") {
                public void run() {

                }
            };
    private RunTextArea t1 =
            new RunTextArea("Notes on John") {
                public void run() {

                }
            };


    public AddressNotesPanel() {
        setLayout(new GridLayout(0, 1));
        t0.setBorder(BorderFactory.createEtchedBorder());
        t1.setBorder(BorderFactory.createEtchedBorder());
        add(t0);
        add(t1);

    }

    public void setValue(AddressRecord r) {
        t0.setText(r.getAddress());
        t1.setText(r.getNotes());
    }

    public AddressRecord getValue() {
        AddressRecord r = new AddressRecord();
        r.setAddress(t0.getText());
        r.setNotes(t1.getText());
        return r;
    }

    public void setEditable(boolean b) {
        t0.setEditable(b);
        t1.setEditable(b);
    }
}
