package addbk.JAddressBookPSU;

import gui.ClosableJFrame;
//import gui.layouts.VerticalFlowLayout;
import gui.run.RunTextField;
//import gui.run.RunLabel;

//import javax.swing.*;
import java.awt.*;

public class AddressBookJFrame
        extends ClosableJFrame {

    private AddressNotesPanel ap =
            new AddressNotesPanel();
    private DialPhoneNavigationJPanel dpnp ;
    private RunTextField tf =
            new RunTextField("Name Field") {
                public void run() {

                }
            };



    public AddressBookJFrame(DialPhoneNavigationJPanel dpnp) {
        this.dpnp = dpnp;
        Container c = getContentPane();
        c.setLayout(new BorderLayout());
        c.add(tf, "North");
        c.add(ap, "Center");
        c.add(this.dpnp, "South");

        AddressRecord emptyDbRecord = AddressRecord.getEmptyDbRecord();
        setRecord(emptyDbRecord);
        setSize(400,400);
    }

    public void setRecord(AddressRecord abr) {
        tf.setText(abr.getName());
        ap.setValue(abr);
        dpnp.setValue(abr);

    }


    public AddressRecord getAddressBookRecord() {
        AddressRecord r = ap.getValue() ;
        r.setName(tf.getText());
        dpnp.getValue(r);
        return r;
    }
}
