package addbk.JAddressBookPSU;

import gui.ClosableJFrame;
import gui.run.RunTextArea;
import gui.run.RunCheckBox;
import gui.run.RunButton;

import javax.swing.*;
import java.awt.*;

/**
 * Created by IntelliJ IDEA.
 * User: Paul
 * Date: Apr 3, 2005
 * Time: 3:56:12 PM
 * To change this template use File | Settings | File Templates.
 */
public class AddressBookSearchFrame  extends ClosableJFrame {
    JPanel searchStringPanel = getSearchStringPanel();
    JPanel searchOptionsPanel = getSearchOptionsPanel();
    JPanel buttonPanel= getButtonPanel();
    AddressBookSearchFrame(){
        Container c = getContentPane();
        c.setLayout(new BorderLayout());
        c.add("North",searchStringPanel);
        c.add("Center", searchOptionsPanel);
        c.add("South", buttonPanel);
        setSize(200, 200);
//        setVisible(true);
    }

    private JPanel getSearchOptionsPanel(){
        JPanel p = new JPanel(new GridLayout(2,2));
        p.add(new RunCheckBox("Name"){
            public void run(){
                System.out.println("Name");
            }
        });
        p.add(new RunCheckBox("Addr"){
            public void run(){
                System.out.println("Addr");
            }
        });
        p.add(new RunCheckBox("Info"){
            public void run(){
                System.out.println("Info");
            }
        });
        p.add(new RunCheckBox("Phone"){
            public void run(){
                System.out.println("Phone");
            }
        });
        return p;
    }

    private JPanel getSearchStringPanel(){
        JPanel p = new JPanel();
        p.add(new RunTextArea("Type selection here"){
            public void run(){
                System.out.println(getText());
            }
        });
        return p;
    }

    private JPanel getButtonPanel(){
        JPanel p = new JPanel();
        p.add(new RunButton("Help"){
            public void run(){
                System.out.println("Help");
            }
        });
        p.add(new RunButton("Find"){
            public void run(){
                System.out.println("Find...");
            }
        });
        p.add(new RunButton("Cancel"){
            public void run(){
                System.out.println("Cancel");
            }
        });
        return p;
    }
   public static void main(String[] args){
        AddressBookSearchFrame absf = new AddressBookSearchFrame();
       absf.setSize(200,200);
       absf.setVisible(true);
   }
}
